Loading...
Searching...
No Matches
Info Callback Action Codes

## Variables

const | SqlUtil::AbstractDatabase::AC_Add = 6
| used when an element is added to an existing object
const | SqlUtil::AbstractDatabase::AC_Create = 1
| used when a new object is created
const | SqlUtil::AbstractDatabase::AC_Delete = 10
| used when data is deleted in a table
const | SqlUtil::AbstractDatabase::AC_Drop = 2
| used when an object is dropped
const | SqlUtil::AbstractDatabase::AC_Insert = 8
| used when data is inserted in a table
const | SqlUtil::AbstractDatabase::AC_Modify = 4
| used when an object is modified in place
const | SqlUtil::AbstractDatabase::AC_NotFound = 11
| used when dropping object but the object is not present
const | SqlUtil::AbstractDatabase::AC_Recreate = 7
| used when an object is recreated (usually dropped and recreated in place)
const | SqlUtil::AbstractDatabase::AC_Rename = 3
| used when an object is renamed
const | SqlUtil::AbstractDatabase::AC_Truncate = 5
| used when a table is truncated
const | SqlUtil::AbstractDatabase::AC_Unchanged = 0
const | SqlUtil::AbstractDatabase::AC_Update = 9
| used when data is updated in a table

## Detailed Description

These are the action codes used with the SQL Info CallBack Closure or Call Ceference in schema and table alignment

See also
  - ActionMap
  - ActionDescMap
  - ActionLetterMap

## Variable Documentation

## AC_Unchanged

const SqlUtil::AbstractDatabase::AC_Unchanged = 0

used when an existing object matches the template and no changes are made